EVP_SM3(3)

NAME
EVP_sm3 - SM3 hash function for EVP

SYNOPSIS
#include <openssl/evp.h>
const EVP_MD *
EVP_sm3(void);

DESCRIPTION
SM3 is a cryptographic hash function with a 256-bit output. It is part of the Chinese “Commercial Cryptography” suite of algorithms which is required for certain commercial applications in China.

RETURN VALUES
EVP_sm3() returns a pointer to a static EVP_MD object implementing the SM3 hash function.

SEE ALSO
evp(3), EVP_DigestInit(3)

STANDARDS
GB/T 32905-2016 and GM/T 0004-2012

HISTORY
EVP_sm3() first appeared in OpenSSL 1.1.1 and has been available since OpenBSD 6.5.